# -*- coding: utf-8 -*-

from django.utils.translation import ugettext_lazy as _

ACOMEA_MAILUP_IMPORT_STATUS_CHOICES = (
    ('pending', _('Pending')),
    ('running', _('Running')),
    ('completed', _('Completed')),
)

ACOMEA_MAILUP_IMPORT_RECIPIENT_STATUS_CHOICES = (
    ('subscribed', _('Subscribed')),
    ('unsubscribed', _('Unsubscribed')),
)

ACOMEA_MAILUP_IMPORT_AVAILABLE_FIELDS = (
    ('ignore', _('Ignore')),
    ('email', _('Email')),
    ('first_name', _('First name')),
    ('last_name', _('Last name')),
)


# path del file da sincronizzare con mailup (acomea_mailup_contacts_fields_sync_from_csv
MAILUP_FIELDS_SYNC_FILE_NAME = '/home/mailupsync/export_g5.txt'

# acomea_mailup_contacts_fields_sync_from_csv: se True viene creato file json di tutti i recipient (uso backup)
MAILUP_FIELDS_SYNC_RECIPIENT_FILE_BACKUP_ENABLED = True

# acomea_mailup_contacts_fields_sync_from_csv: path del file json contenente i recipient
MAILUP_FIELDS_SYNC_RECIPIENT_FILE_BACKUP_PATH = '/home/mailupsync/backup/'

# path dei file già processati da acomea_mailup_contacts_fields_sync_from_csv
MAILUP_FIELDS_SYNC_PROCESSED_FILES = '/home/mailupsync/processed_files/'


# Se True viengono iscritti tutti i recipient nel file csv
MAILUP_FIELDS_SYNC_SUBSCRIBE_RECIPIENT = False
MAILUP_GIMME5_FIELDS_SYNC_SUBSCRIBE_RECIPIENT = True

# lista email che ricevono il report di esecuzione di acomea_mailup_contacts_fields_sync_from_csv
MAILUP_FIELDS_SYNC_RECIPIENT_REPORT_MAIL_LIST = [
    'bcampanale@thux.it',
    # 'jumbo@thux.it',
    'ict@acomea.it',
    'digital@acomea.it',
]
